<template>
  <Base :email="email" activeIndex="1" :permissionid="permission"></Base>
  <div class="UserInfo">
    <el-container style="width: 100%; min-width: 1200px">
      <el-container class="content">
        <div style="padding-bottom: 20px; width: 2000px">
          <el-header class="courseBasic" height="300px">
            <div class="UserProfileImg">
              <el-image :src="UserProfileImg" :fit="contain" class="avatar"> </el-image>
            </div>
            <div style="float: left; margin-left: 40px">
              <el-row class="userName" type="flex" justify="start">
                {{ userName }}
              </el-row>
              <div class="basicInfo">
                <el-row class="basicInfoType" type="flex" justify="start">
                  学院：{{ collegeName }}
                </el-row>
                <el-row class="basicInfoType" type="flex" justify="start">
                  日期：{{ dateInfo }}
                </el-row>
              </div>
            </div>
          </el-header>

          <el-row :gutter="20">
            <el-col :span="12">
              <el-main class="main">
                <el-tabs>
                  <el-progress :percentage="score">
                    <el-button type="text">完成度({{score}}/{{80}})</el-button>
                  </el-progress>
                  <div class="demo-progress">
                    <el-progress type="circle" :percentage="score" status="success" />
                  </div>
                </el-tabs>
              </el-main>
            </el-col>

            <el-col :span="12">
              <el-main class="main">
                <el-tabs>
                  <el-tab-pane label="个人德育分活动">
                    <el-scrollbar fill=true class="scrollbar">
                      <el-space wrap class="space">
                        <el-card v-for="(item, index) in activities" class="box-card" :key="index">
                          <template #header>
                            <div class="card-header">
                              <el-col :span="6" style="font-weight:bold">{{ item.topic }}</el-col>
                              <el-col :span="3" :offset="15"
                                :class="{ green: item.state == 3, blue: item.state == 2, red: item.state == 1 }">{{
                                    states[item.state - 1]
                                }}</el-col>
                              <el-col>
                                <span class="act-content" :class="down[index] ? 'up-arrow' : 'down-arrow'"
                                  @click="down[index] = !down[index]"></span>
                              </el-col>
                            </div>
                          </template>
                          <div :class="down[index] ? 'content' : ''">
                            <div class="text item" v-if="down[index]">
                              <el-row class="content_row">
                                <el-col :span="2"  class="content_name">分数: </el-col>
                                <el-col :span="2">{{ item.score }}</el-col>
                              </el-row>
                              <el-row class="content_row">
                                <el-col :span="2" class="content_name">起始: </el-col>
                                <el-col :span="12" >{{ item.startTime }}</el-col>
                              </el-row>
                              <el-row class="content_row">
                                <el-col :span="2" class="content_name">结束: </el-col>
                                <el-col :span="12">{{ item.endTime }}</el-col>
                              </el-row>
                              <el-row class="content_row">
                                <el-col :span="2" class="content_name">内容: </el-col>
                                <el-col :span="4">{{ item.topic }}</el-col>
                              </el-row>
                            </div>
                          </div>
                        </el-card>
                      </el-space>
                    </el-scrollbar>
                  </el-tab-pane>
                </el-tabs>
              </el-main>
            </el-col>
          </el-row>
        </div>
      </el-container>
    </el-container>
  </div>
</template>

<script>
import Base from "./Base.vue"
import axios from "axios";
import global from "./Common.vue"
import test_hint from './notification.vue'
export default {
  name: "UserInfo",
  data() {
    return {
      down: [0, 0],
      states: ["未审核", "审核中", "已审核"],
      permissions:['管理员','辅导员','普通用户'],
      activities: [ ],
      series: [44, 55, 13, 43, 22],
      chartOptions: {
        chart: {
          width: 380,
          type: "pie",
        },
        labels: ["Team A", "Team B", "Team C", "Team D", "Team E"],
        responsive: [
          {
            breakpoint: 480,
            options: {
              chart: {
                width: 200,
              },
              legend: {
                position: "bottom",
              },
            },
          },
        ],
      },
      email: "",
      tongjiIcon: require("../assets/images/tongjiIcon.png"),
      c: '',
      userName: "",
      collegeName: "",
      hasMessage: true,
      dateInfo: new Date().toISOString().split('T')[0],
      ip: global.ip,
      score:'',
      UserProfileImg:'',
      permission:""
    };
  },
computed: {
  aveScore() {
    var sum = 0;
    var cnt = 0;
    this.comments.forEach((item) => {
      cnt = cnt + 1;
      sum = sum + item.score;
    });
    return sum / cnt;
  },
},
mounted() {
  let token=localStorage.getItem('token');
  // 请求个人德育分数据
  axios({
    method: "POST",
    url: "http://" + this.ip + "/api/browse/checkscore",
    headers:{ Authorization: `Bearer: ${token}` }
  }).then((res) => {
    console.log(res.data);
    if (res.data.code == "00"){
      this.activities = res.data.activities;
      this.score = res.data.score_total*1.25;
    }

  });
  // 请求用户信息
  axios({
    method: "POST",
    url: "http://" + this.ip + "/api/user/profile",
    headers:{ Authorization: `Bearer: ${token}` },
  }).then((res) => {
    if (res.data.code == "00"){
      this.userName = res.data.data.name;
      this.collegeName = res.data.data.academy;
      this.permission = this.permissions[res.data.data.author-1];
    }
  });
  // 请求用户头像
  axios({
    method:"POST",
    url:"http://"+this.ip+"/api/user/avatar",
    data:{
      
    },
    responseType: 'blob',
    headers:{ Authorization: `Bearer: ${token}` }
  }).then((res)=>{
    console.log(res.data)
    this.UserProfileImg = window.URL.createObjectURL(res.data);
    console.log(this.UserProfileImg)
  });
},
components: {
  Base,
  test_hint
}
};
</script>


<style scoped>
.green {
  color: rgb(19, 206, 102);
}

.red {
  color: rgb(230, 50, 30);
}

.blue {
  color: rgb(38, 185, 226);
}

.item {
  text-align: left;
}
.content{
  padding:20px;
  position: relative;
}

.content_row {
  margin-bottom: 10px;
}

.content_name {
  font-weight: 1000;
}

.el-card__body {
  padding: 0px;
}

.scrollbar {
  height: 400px;

  border-color: rgb(141, 203, 237);
  border-style: solid;
  border-radius: 5px;
  border-width: 1px;
}

.space {
  width: 95%;
}
.box-card{
  width: 880px;
  position: relative;
  left: 10px;
  top: 10px;
}

.act-name {
  position: relative;
  left: -250px;
}

.card-header {
  height: 20px;
}

.scrollbar-demo-item {
  display: flex;
  align-items: center;
  height: 60px;
  margin: 10px;
  border-radius: 4px;
  background: var(--el-color-primary-light-9);
  color: var(--el-color-primary);
}

.down-arrow {
  display: inline-block;
  vertical-align: top;
  border-top: 10px solid #6f6a6a;
  border-right: 10px solid transparent;
  border-left: 10px solid transparent;
  content: "";
  margin-top: 5px;
  margin-left: 10px;
  cursor: pointer;
}

.up-arrow {
  display: inline-block;
  vertical-align: top;
  border-bottom: 10px solid #6f6a6a;
  border-right: 10px solid transparent;
  border-left: 10px solid transparent;
  content: "";
  margin-top: 5px;
  margin-left: 10px;
  cursor: pointer;
}

:deep(.el-card__body) {
  padding: 0px;
}


.demo-progress .el-progress--line {
  margin-bottom: 90px;
  width: 350px;
}

.demo-progress .el-progress--circle {
  margin-right: 90px;
  /* width: 350px; */
}

.activity_list_item {
  height: 30px;
  margin: 10px 20px 20px 20px;
  background: #69f61291;
  text-align: center;
}

.el-col {
  border-radius: 4px;
}

.bg-purple-dark {
  background: #99a9bf;
}

.bg-purple {
  background: #d3dce6;
}

.bg-purple-light {
  background: #e5e9f2;
}

.grid-content {
  border-radius: 4px;
  min-height: 36px;
}

.UserInfo {
  background: rgb(238, 241, 246);
}

.topHeader {
  background-color: #f8f8f8;
  color: #123456;
  line-height: 60px;
  margin-bottom: 1px;
}

.sideBar {
  background: #fff;
  margin-right: 10px;
  text-align: left;
}
</style>

<style scoped>
.demo-progress .el-progress--line {
  margin-bottom: 90px;
  width: 350px;
}

.demo-progress .el-progress--circle {
  margin-right: 90px;
  /* width: 350px; */
}

.activity_list_item {
  height: 30px;
  margin: 10px 20px 20px 20px;
  background: #69f61291;
  text-align: center;
}

.el-col {
  border-radius: 4px;
}

.bg-purple-dark {
  background: #99a9bf;
}

.bg-purple {
  background: #d3dce6;
}

.bg-purple-light {
  background: #e5e9f2;
}

.grid-content {
  border-radius: 4px;
  min-height: 36px;
}

.UserInfo {
  background: rgb(238, 241, 246);
}

.topHeader {
  background-color: #f8f8f8;
  color: #123456;
  line-height: 60px;
  margin-bottom: 1px;
}

.sideBar {
  background: #fff;
  margin-right: 10px;
  text-align: left;
}

.courseBasic {
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
  margin: 10px 20px 20px 20px;
  background: #fff;
  border-radius: 12px;
}

.main {
  margin-left: 20px;
  margin-right: 20px;
  background: #fff;
  border-radius: 12px;
}

.tongjiIcon {
  color: #1c98ce;
  font-size: 20px;
  font-weight: bold;
  text-align: left;
}

.UserProfileImg {
  margin: 60px 20px 0px 100px;
  height: 200px;
  width: 200px;
  float: left;
}

.basicInfo {
  background: #f8f8f8;
  padding: 10px;
  border-radius: 8px;
  width: 300px;
}

.basicInfoType {
  margin: 10px 0px 10px 10px;
  font-size: 14px;
}

.userName {
  margin-top: 50px;
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: bold;
}

.courseIntro {
  margin: 20px 30px 20px 30px;
  text-align: left;
}

.commentsBlock {
  margin: 20px 50px 20px 50px;
  text-align: left;
}

.comment {
  height: 100px;
  margin: 5px 0px 5px 0px;
  padding: 20px 20px 20px 20px;
  font-size: 14px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.12), 0 0 6px rgba(0, 0, 0, 0.04);
}

.profile {
  margin-top: 30px;
  border-radius: 100px;
  width: 50px;
  height: 50px;
}

.courseScore {
  margin: 30px 30px 20px 30px;
  text-align: left;
}

.el-rate__icon {
  font-size: 28px;
}

.avatar {
  width:180px;
}

/deep/ .el-space__item {
  width:600px;
}

</style>
